vty-6.4: A simple terminal UI library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.UnicodeWidthTable.IO

Synopsis

- readUnicodeWidthTable :: FilePath -> IO (Either String UnicodeWidthTable)
- parseUnicodeWidthTable :: ByteString -> Either String UnicodeWidthTable
- writeUnicodeWidthTable :: FilePath -> UnicodeWidthTable -> IO ()

# Documentation

readUnicodeWidthTable :: FilePath -> IO (Either String UnicodeWidthTable) Source #

Load a binary unicode width table from the specified file.

This either returns a successfully parsed table or a table parsing error message. This does not handle I/O exceptions.

parseUnicodeWidthTable :: ByteString -> Either String UnicodeWidthTable Source #

Parse a binary unicode width table.

writeUnicodeWidthTable :: FilePath -> UnicodeWidthTable -> IO () Source #

Write the unicode width table to the specified path.

This does not handle I/O exceptions.